 // test of 3d ifs stuff

#include "color.vc"

#define LALU (0.91 0.91 0.91)

#define alusurf surf {      \
	diff LALU               \
	brilliance 20           \
	spec LALU               \
	shine 20 LALU           \
}

studio {
	from 45 -60 25
	at 0 0 0
	up 0 0 1
	angle 45
	aspect 4/3
    res 1920 1440
	antialias adaptive
    background { "wbw.map" }
}

// let there be light
light {
	type point
	color white
	position 54 0 10
}
light {
	type point
	color white * 0.5
	position -50 -0 10
}

light {
	type point
	color white * 0.5
	position 15 0 50
}

light {
	type point
	color white * 0.5
	position 15 -10 -50
}
light {
	type point
	color white * 0.5
	position 0 -50 0
}

light {
	type point
	color white * 0.5
	position 5 -25 4
}


// cross of T on connector

alusurf

cone {
	base -15 0 0
	apex 15 0 0
	radius 4.8
}

cone {
	base -15 0 0
	apex 15 0 0
	radius 4.6
}

ring {
	center -15 0 0
	normal 1 0 0
	min_radius 4.6
	max_radius 4.8
}

ring {
	center 15 0 0
	normal 1 0 0
	min_radius 4.6
	max_radius 4.8
}

cone {
	base -5.2 0 0
	apex 5.2 0 0
	radius 5.2
}

ring {
	center -5.2 0 0
	normal 1 0 0
	radius 5.2
}

ring {
	center 5.2 0 0
	normal 1 0 0
	radius 5.2
}

// lugs on connector
cone {
	base 11.5 0 4.8
	apex 11.5 0 5.2
	radius 0.3
}

ring {
	center 11.5 0 5.2
	normal 0 0 1
	radius 0.3
}

cone {
	base 11.5 0 -4.8
	apex 11.5 0 -5.2
	radius 0.3
}

ring {
	center 11.5 0 -5.2
	normal 0 0 1
	radius 0.3
}

cone {
	base -11.5 0 4.8
	apex -11.5 0 5.2
	radius 0.3
}

ring {
	center -11.5 0 5.2
	normal 0 0 1
	radius 0.3
}

cone {
	base -11.5 0 -4.8
	apex -11.5 0 -5.2
	radius 0.3
}

ring {
	center -11.5 0 -5.2
	normal 0 0 1
	radius 0.3
}

// insides of connector
surf { diff white}

cone {
	apex 0 0 0
	base 11.5 0 0
	radius 3
}

ring {
	center 11.5 0 0
	normal 1 0 0
	min_radius 0.5
	max_radius 3
}

cone {
	apex 0 0 0
	base 11.5 0 0
	radius 0.5
}

surf { diff gold}

cone {
	apex 0 0 0
	base 11.7 0 0
	radius 0.4
}

ring {
	center 11.7 0 0
	normal 1 0 0
	min_radius 0.2
	max_radius 0.4
}

cone {
	apex 0 0 0
	base 11.7 0 0
	radius 0.2
}

surf { diff white}

cone {
	apex 0 0 0
	base -11.5 0 0 
	radius 3
}

ring {
	center -11.5 0 0
	normal 1 0 0
	min_radius 0.5
	max_radius 3
}
cone { 
	apex 0 0 0
	base -11.5 0 0
	radius 0.5
}

surf { diff gold}

cone { 
	apex 0 0 0
	base -11.7 0 0 
	radius 0.4
}

ring { 
	center -11.7 0 0
	normal 1 0 0
	min_radius 0.2
	max_radius 0.4
}

cone { 
	apex 0 0 0
	base -11.7 0 0
	radius 0.2
}

// base of T

alusurf

cone { 
	base 0 0 0
	apex 0 -10 0
	radius 5.2
}

ring { 
	center 0 -10 0
	normal 0 1 0
	radius 5.2
}


global_clip {
	clip {
		apex 4 -12 0
		base 4 -18 0
		radius 0.3
		outside
	}
	clip {
		apex -4 -12 0
		base -4 -18 0
		radius 0.3
		outside
	}
	clip {
		apex 0 -12 4
		base 0 -18 4
		radius 0.3
		outside
	}
	clip {
		apex 0 -12 -4
		base 0 -18 -4
		radius 0.3
		outside
	}

}

cone { 
	base 0 0 0
	apex 0 -17.5 0
	radius 4
}

cone { 
	base 0 0 0
	apex 0 -17.5 0
	radius 3.8
}

ring { 
	center 0 -17.5 0
	normal 0 1 0
	min_radius 3.8
	max_radius 4
}

clip_pop

surf {diff white}

cone { 
	base 0 0 0
	apex 0 -17.3 0
	radius 3.8
}

cone { 
	base 0 0 0
	apex 0 -17.3 0
	radius 3
}

ring { 
	center 0 -17.3 0
	normal 0 1 0
	min_radius 3
	max_radius 3.8
}

surf {diff gold}

cone { 
	base 0 0 0
	apex 0 -15 0
	radius 0.3
}

cone { 
	base 0 -15 0
	apex 0 -17.7 0
	base_radius 0.3
	apex_radius 0.1
}

sphere {
	center 0 -17.7 0
	radius 0.1
}

alusurf

global_clip {
	clip {
		apex 0 -15 5.2
		base 0 -19 5.2
		radius 0.6
	}
	clip {
		apex -0.6 -15 5.2
		base 2 -15 5.2
		radius 0.6
	}
	clip {
		center 2.5 -15 5.2
		radius 1
	}
	clip {
		apex 0 -15 -5.2
		base 0 -19 -5.2
		radius 0.6
	}
	clip {
		apex 0.6 -15 -5.2
		base -2 -15 -5.2
		radius 0.6
	}
	clip {
		center -2.5 -15 -5.2
		radius 1
	}
}

cone { 
	base 0 -10 0
	apex 0 -18 0
	radius 5.2
}

cone { 
	base 0 -10 0
	apex 0 -18 0
	radius 5.5
}

ring { 
	center 0 -18 0
	normal 0 1 0
	min_radius 5.2
	max_radius 5.5
}

clip_pop

cone { 
	apex 0 -17.5 0
	base 0 -18 0
	radius 5.5
}

cone { 
	apex 0 -17.5 0
	base 0 -18 0
	radius 5.8
}

ring { 
	center 0 -17.5 0
	normal 0 1 0
	min_radius 5.5
	max_radius 5.8
}

ring { 
	center 0 -18 0
	normal 0 1 0
	min_radius 5.5
	max_radius 5.8
}

transform {
	rotate 90 90 0
	translate 0 -8 0
}
#include "bnc_ringer.vo"
transform_pop

cone { 
	base 0 -8 0
	apex 0 -13 0
	radius 5.8
}

ring { 
	center 0 -13 0
	normal 0 1 0
	min_radius 5.5
	max_radius 5.8
}

transform {
	translate 0 0 5.8
	rotate 0 0 0
	translate 0 -12.5 0
}
#include "bnc_ridge.vo"
transform_pop

transform {
	translate 0 0 5.8
	rotate 0 10 0
	translate 0 -12.5 0
}
#include "bnc_ridge.vo"
transform_pop

transform {
	translate 0 0 5.8
	rotate 0 20 0
	translate 0 -12.5 0
}
#include "bnc_ridge.vo"
transform_pop

transform {
	translate 0 0 5.8
	rotate 0 30 0
	translate 0 -12.5 0
}
#include "bnc_ridge.vo"
transform_pop

transform {
	translate 0 0 5.8
	rotate 0 40 0
	translate 0 -12.5 0
}
#include "bnc_ridge.vo"
transform_pop

transform {
	translate 0 0 5.8
	rotate 0 50 0
	translate 0 -12.5 0
}
#include "bnc_ridge.vo"
transform_pop

transform {
	translate 0 0 5.8
	rotate 0 60 0
	translate 0 -12.5 0
}
#include "bnc_ridge.vo"
transform_pop

transform {
	translate 0 0 5.8
	rotate 0 70 0
	translate 0 -12.5 0
}
#include "bnc_ridge.vo"
transform_pop

transform {
	translate 0 0 5.8
	rotate 0 80 0
	translate 0 -12.5 0
}
#include "bnc_ridge.vo"
transform_pop

transform {
	translate 0 0 5.8
	rotate 0 90 0
	translate 0 -12.5 0
}
#include "bnc_ridge.vo"
transform_pop

transform {
	translate 0 0 5.8
	rotate 0 100 0
	translate 0 -12.5 0
}
#include "bnc_ridge.vo"
transform_pop

transform {
	translate 0 0 5.8
	rotate 0 110 0
	translate 0 -12.5 0
}
#include "bnc_ridge.vo"
transform_pop

transform {
	translate 0 0 5.8
	rotate 0 120 0
	translate 0 -12.5 0
}
#include "bnc_ridge.vo"
transform_pop

transform {
	translate 0 0 5.8
	rotate 0 130 0
	translate 0 -12.5 0
}
#include "bnc_ridge.vo"
transform_pop

transform {
	translate 0 0 5.8
	rotate 0 140 0
	translate 0 -12.5 0
}
#include "bnc_ridge.vo"
transform_pop

transform {
	translate 0 0 5.8
	rotate 0 150 0
	translate 0 -12.5 0
}
#include "bnc_ridge.vo"
transform_pop

transform {
	translate 0 0 5.8
	rotate 0 160 0
	translate 0 -12.5 0
}
#include "bnc_ridge.vo"
transform_pop

transform {
	translate 0 0 5.8
	rotate 0 170 0
	translate 0 -12.5 0
}
#include "bnc_ridge.vo"
transform_pop

transform {
	translate 0 0 5.8
	rotate 0 180 0
	translate 0 -12.5 0
}
#include "bnc_ridge.vo"
transform_pop

transform {
	translate 0 0 5.8
	rotate 0 190 0
	translate 0 -12.5 0
}
#include "bnc_ridge.vo"
transform_pop

transform {
	translate 0 0 5.8
	rotate 0 200 0
	translate 0 -12.5 0
}
#include "bnc_ridge.vo"
transform_pop

transform {
	translate 0 0 5.8
	rotate 0 210 0
	translate 0 -12.5 0
}
#include "bnc_ridge.vo"
transform_pop

transform {
	translate 0 0 5.8
	rotate 0 220 0
	translate 0 -12.5 0
}
#include "bnc_ridge.vo"
transform_pop

transform {
	translate 0 0 5.8
	rotate 0 230 0
	translate 0 -12.5 0
}
#include "bnc_ridge.vo"
transform_pop

transform {
	translate 0 0 5.8
	rotate 0 240 0
	translate 0 -12.5 0
}
#include "bnc_ridge.vo"
transform_pop

transform {
	translate 0 0 5.8
	rotate 0 250 0
	translate 0 -12.5 0
}
#include "bnc_ridge.vo"
transform_pop

transform {
	translate 0 0 5.8
	rotate 0 260 0
	translate 0 -12.5 0
}
#include "bnc_ridge.vo"
transform_pop

transform {
	translate 0 0 5.8
	rotate 0 270 0
	translate 0 -12.5 0
}
#include "bnc_ridge.vo"
transform_pop

transform {
	translate 0 0 5.8
	rotate 0 280 0
	translate 0 -12.5 0
}
#include "bnc_ridge.vo"
transform_pop

transform {
	translate 0 0 5.8
	rotate 0 290 0
	translate 0 -12.5 0
}
#include "bnc_ridge.vo"
transform_pop

transform {
	translate 0 0 5.8
	rotate 0 300 0
	translate 0 -12.5 0
}
#include "bnc_ridge.vo"
transform_pop

transform {
	translate 0 0 5.8
	rotate 0 310 0
	translate 0 -12.5 0
}
#include "bnc_ridge.vo"
transform_pop

transform {
	translate 0 0 5.8
	rotate 0 320 0
	translate 0 -12.5 0
}
#include "bnc_ridge.vo"
transform_pop

transform {
	translate 0 0 5.8
	rotate 0 330 0
	translate 0 -12.5 0
}
#include "bnc_ridge.vo"
transform_pop

transform {
	translate 0 0 5.8
	rotate 0 340 0
	translate 0 -12.5 0
}
#include "bnc_ridge.vo"
transform_pop

transform {
	translate 0 0 5.8
	rotate 0 350 0
	translate 0 -12.5 0
}
#include "bnc_ridge.vo"
transform_pop
